### Method

# Gio Task set_source_tag

since: 2.36

#### Declaration [src]

    void
    g_task_set_source_tag (
      GTask* task,
      gpointer source_tag
    )

#### Description [src]

Sets `task`‘s source tag.

You can use this to tag a task return value with a particular pointer (usually a pointer to the function doing the tagging) and then later check it using `g_task_get_source_tag()` (or g_async_result_is_tagged()) in the task’s “finish” function, to figure out if the response came from a particular place.

A macro wrapper around this function will automatically set the task’s name to the string form of `source_tag` if it’s not already set, for convenience.

Available since: 2.36

#### Parameters

`source_tag`

  Type: `gpointer`

  An opaque pointer indicating the source of this task.

  The argument can be `NULL`.
  The data is owned by the caller of the method.